using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.FO
{
    [Description("任职期间的职业健康体检报告")]
    public class T_FO_PROFESSIONAL_RESUME_MEDICAL_FILE : MesEntityBase
    {
        [Description("主表ID")]
        [DataFieldForeignKey("Nav_Professional", "Nav_MedicalFiles")]
        public Guid PROFESSIONAL_RESUME_ID { get; set; }

        [Description("导航属性：主表")]
        public virtual T_FO_PROFESSIONAL_RESUME Nav_Professional { get; set; }

        [DataFieldForeignKey("Nav_ImgFile")]
        [Description("图片文件ID")]
        public Guid IMG_FILE_ID { get; set; }



        [Description("导航：图片文件表")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
